Bug 195692 - Review Request: guichan - Portable C++ GUI library for games using Allegro, SDL and OpenGL
Review Request: guichan - Portable C++ GUI library for games using Allegro, S...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wart
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-16 12:50 EDT by Hugo Cisneiros
Modified: 2014-02-24 08:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 10:45:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-06-16 12:50:32 EDT
NOTE: Re-doing the bug entry because of the bugzilla outage.

Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/guichan.spec
SRPM URL: http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/guichan-0.4.0-1.src.rpm
Description:

Guichan is a small, efficient C++ GUI library designed for games. It comes
with a standard set of widgets and can use several different objects for
displaying graphics and grabbing user input.
Comment 1 Hugo Cisneiros 2006-06-16 12:53:42 EDT
------- Additional Comments From wart@kobold.org  2006-06-10 00:44 EST -------
MUST
====
* name matches upstream
* BSD license ok, license file included
* Spec file legible and in Am. English
* Sources match upstream:
  f68b6c603c4fb3d70a8737f916214a35  guichan-0.4.0-src.tar.gz
* No excessive BR:
* Owns all directories that it creates
* No duplicate %files
* file permissions look ok
* Not relocatable
* ldconfig called where needed
* macro use consistent
* headers and unversioned .so files in -devel package
* RPM_BUILD_ROOT cleaned where needed
* No .la files
* no -doc subpackage needed
* devel require base using fully versioned dependency
* No .desktop file needed
* Compiles and builds on:
  FC4-i386, FC4-x86_64, FC5-i386, FC5-x86_64

MUSTFIX
=======
* Remove the leading 'A' from the summary
* Remove the empty Requires: line
* Add the following in %prep to prevent the trigger of calls to autoxxx:
touch aclocal.m4 Makefile.in */Makefile.in */*/Makefile.in */*/*/Makefile.in
touch include/config.hpp.in

QUESTIONS
=========
* why the 'cp -a' in %prep?  Just use %doc docs/html/* to pick up all of
  the files.

- Doesn't compile on FC-6 due to missing autoxxx.  The 'touch' commands
  above should fix that.

------- Additional Comments From hugo@devin.com.br  2006-06-10 12:19 EST 
-------
Package Updated:

Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/guichan.spec
SRPM URL: 
http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/guichan-0.4.0-2.src.rpm

Changes:

- Using libGL-devel instead of mesa-libGL-devel in BuildRequires
- Put documentation under -devel instead of a whole -doc
- Touch "autoxxx" files to take out autoxxx commands use in devel
- Add proper location do doc files (/usr/share/doc/xxx/html)

Notes:

Took out the cp -a command and get a %doc docs/html intead of docs/html/*. 
This should put documentation in proper place.

------- Additional Comments From wart@kobold.org  2006-06-11 21:35 EST -------
All MUSTFIX items fixed.  I learned another trick on f-e-l to fix the autoxxx
issue.  Instead of touching all of the Makefiles, you can restore the original
timestamps on configure/configure.in with:

touch -r configure configure.stamp
touch -r configure.in configure.in.stamp
%patch -p1
touch -r configure.stamp configure
touch -r configure.in.stamp configure.in

No need to change this before checking in, but's it's good to know for future
reference.

APPROVED

------- Additional Comments From hugo@devin.com.br  2006-06-11 22:43 EST 
-------
Package imported and built into devel. Closing.
Thanks!
Comment 2 Wart 2006-08-29 10:45:24 EDT
Reassigning to me as part of some bugzilla cleanup.
Comment 3 Wart 2007-02-26 16:59:05 EST
Change owner to wart@kobold.org.  The current owner is AWOL.

https://www.redhat.com/archives/fedora-extras-list/2007-February/msg00405.html
Comment 4 Gwyn Ciesla 2014-02-24 08:15:18 EST
Package Change Request
======================
Package Name: guichan
New Branches: el6
Owners: limb
Comment 5 Gwyn Ciesla 2014-02-24 08:37:37 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.